/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Interred Grizzle\Champion\IlhenirDiseasedClaw.cs
Lines of code: 36
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class IlhenirsDiseasedClaw : ElvenSpellblade
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public IlhenirsDiseasedClaw()
		{
			Name = "Ilhenir's Diseased Claw";
			Hue = 252;
			WeaponAttributes.HitLowerAttack = 50;
			WeaponAttributes.HitHarm = 60;
			Attributes.AttackChance = 15;
			Attributes.WeaponDamage = 45;
			WeaponAttributes.ResistPoisonBonus = 15;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Poison=100;
		}

		public IlhenirsDiseasedClaw( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}